Get balance history
Retrieve Balance History information for a specific Account (using a specific account_id).
Authorization: login_identity_token
Request parameters (optional)
Use the following optional URL parameters to customize the source of balance history records.
(e.g. GET /balance_history/{account_id}?source=COMPUTED)
Notes:
source=INSTITUTION: Default behaviour. Returns Balance history as reported by the institution. Available for all institutions where Balance History product is supported.source=COMPUTED: Alternative behaviour. Returns balance history by computing based on the transactions for that specific account. Available for all institutions where Transactions product is supported.
accounts
Full Account object for the specified account_id. See GET /accounts for details.
balance_history (array)
Full balance_history array, containing a history of end-of-day account balances on specified dates. Balances are returned in reverse-chronological order (i.e. most recent balance first).
institution
Summary Institution object. See GET /institutions for details.
login_identity
Summary Login Identity object. See GET /login_identity for details.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The account id
Query Parameters
The source will determine what type of balance history will be returned
INSTITUTION, COMPUTED